// ConvertString.java
// $Id: ConvertString.java,v 1.2 1997/07/30 14:06:00 ylafon Exp $  
// (c) COPYRIGHT MIT and INRIA, 1997.
// Please first read the full copyright statement in file COPYRIGHT.html

package w3c.tools.resources.converter;

public class ConvertString implements Convert {

  public void setInitialClass(Class c){}

  public Object defaultValue() {
    return new String();
  }

  public String toString(Object O) {
    return (String)O;
  }

  public Object toObject(String S) {
    return S;
  }

  public Class classConverted() {
    try {
      return Class.forName("java.lang.String");
    } catch (ClassNotFoundException ex) {
      System.out.println(ex.getMessage());
      ex.printStackTrace();
      return null;
    }
  }

}
